Sample custom-app (python)
~~~~~~~~~~~~~~~~~~~~~~~~~~

Description
~~~~~~~~~~~
This project is a python app (back-end) that comunicates with saaspass api, witch authenticates users with two factor authentication. It works with Flask microframework which is included in Bootstrap (front-end) parts.

Dependecies
~~~~~~~~~~~
First install: pip, python3, Flask , the correct version.
Also, the following modules must be installed on your system before running the application.
  pip install flask_api
  pip install flask_wtf
  pip install flask_socketio
  pip install flask_bootstrap  
  pip install requests
  pip install uuid 

Installation
~~~~~~~~~~~~
To run the application, please navigate to your application folder trough console and run the following commands: 
	For Windows: `set FLASK_APP=run.py`
	For Linux/OSX: `export FLASK_APP=run.py`
	Running the application: `flask run`
		Note: The application by default listens on port 5000. To change that please modift run.py.

Configuration
~~~~~~~~~~~~~
After you have installed all correctly, you need to downlaod the SAASPASS app onto your phone, and create a new saaspass account. Then login to https://saaspass.com with your phone. You need to add your email address, to your account and verify it. Go to applications and add a new `CUSTOM APPLICATION` , use the following parameters:
     >>In the IP filter field give the IP of your server or use 0.0.0.0/0 if all IPs requesting should be valid.
     >>For services, check "One time password", "ScanBarcode", "Instant Registration".
     >>Specify URL for instant login. For example in this project, this will be: `http://yourdomain:5000/login-post-url`.
Look up for Application and Company credentials, and change the values in `Constants.py` file.
Also change the value for `SECRET_KEY`  in `config.py`.

  
*
Online documentation: 
  https://developer.saaspass.com/
  https://www.python.org/
  http://flask.pocoo.org/ 
*